Package org.oasis_open.docs.ws_calendar.ns.soap

# Class GetPropertiesResponseType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType
org.oasis_open.docs.ws_calendar.ns.soap.GetPropertiesResponseType

public class GetPropertiesResponseType extends BaseResponseType
Respond to the getProperties request. The response contains the href of the targeted resource and a set of properties for that resource.

Java class for GetPropertiesResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetPropertiesResponseType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseResponseType">
           <sequence>
             <element name="href" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}childCollection"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}creationDateTime"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}displayName"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}lastModifiedDateTime"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}maxAttendeesPerInstance"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}maxDateTime"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}maxInstances"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}maxResourceSize"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}minDateTime"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}principalHome"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}resourceDescription"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}resourceOwner"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}resourceType"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}resourceTimezoneId"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}supportedCalendarComponentSet"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}supportedFeatures"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}timezoneServer"/>
             </choice>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<GetPropertiesBasePropertyType>`
  `childCollectionOrCreationDateTimeOrDisplayName`
  `protected String`
  `href`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `errorResponse, id, message, status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetPropertiesResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<GetPropertiesBasePropertyType>`
  `getChildCollectionOrCreationDateTimeOrDisplayName()`
  Gets the value of the childCollectionOrCreationDateTimeOrDisplayName property.
  `String`
  `getHref()`
  Gets the value of the href property.
  `void`
  `setHref(String value)`
  Sets the value of the href property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `getErrorResponse, getId, getMessage, getStatus, setErrorResponse, setId, setMessage, setStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### href

    protected String href

  - ### childCollectionOrCreationDateTimeOrDisplayName

    protected List<GetPropertiesBasePropertyType> childCollectionOrCreationDateTimeOrDisplayName

- ## Constructor Details

  - ### GetPropertiesResponseType

    public GetPropertiesResponseType()

- ## Method Details

  - ### getHref

    public String getHref()
    Gets the value of the href property.
    Returns:
      possible object is `String`

  - ### setHref

    public void setHref(String value)
    Sets the value of the href property.
    Parameters:
      `value` - allowed object is `String`

  - ### getChildCollectionOrCreationDateTimeOrDisplayName

    public List<GetPropertiesBasePropertyType> getChildCollectionOrCreationDateTimeOrDisplayName()
    Gets the value of the childCollectionOrCreationDateTimeOrDisplayName property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the childCollectionOrCreationDateTimeOrDisplayName property.

    For example, to add a new item, do as follows:

            getChildCollectionOrCreationDateTimeOrDisplayName().add(newItem);

    Objects of the following type(s) are allowed in the list `ChildCollectionType` `CreationDateTimeType` `DisplayNameType` `LastModifiedDateTimeType` `MaxAttendeesPerInstanceType` `MaxDateTimeType` `MaxInstancesType` `MaxResourceSizeType` `MinDateTimeType` `PrincipalHomeType` `ResourceDescriptionType` `ResourceOwnerType` `ResourceTimezoneIdType` `ResourceTypeType` `SupportedCalendarComponentSetType` `SupportedFeaturesType` `TimezoneServerType`